 //###########################################################################
//
// FILE:	DSP281x_Gpio.c
//
// TITLE:	DSP281x General Purpose I/O Initialization & Support Functions.
//
//###########################################################################
//
//  Ver | dd mmm yyyy | Who  | Description of changes
// =====|=============|======|===============================================
//  1.00| 11 Sep 2003 | L.H. | No change since previous version (v.58 Alpha)
//###########################################################################

#include "DSP281x_Device.h"     // DSP281x Headerfile Include File
#include "DSP281x_Examples.h"   // DSP281x Examples Include File

//---------------------------------------------------------------------------
// InitGpio: 
//---------------------------------------------------------------------------
// This function initializes the Gpio to a known state.
////////////////ʼIO/////////////////////////////
void InitGpio(void)
{
     EALLOW;//޸
     GpioMuxRegs.GPAMUX.all	|= 0x033F;   //PWMʹܶ˿ QEP12
	 GpioMuxRegs.GPADIR.all |= 0X003F;   //PWM
	 GpioMuxRegs.GPADIR.all &=~ 0x0300;  //QEP12 Ϊ

	 GpioMuxRegs.GPADIR.all &=~ 0xE000;  //PA13.14.15.U V W λ
	 
     GpioMuxRegs.GPADIR.bit.GPIOA12=0;  	//밴  
   //  GpioMuxRegs.GPADIR.bit.GPIOA10=1;    //
     
     GpioMuxRegs.GPAQUAL.bit.QUALPRD = 0x05;  	//ʹ64Ƶ150M/32
     
	 GpioMuxRegs.GPBQUAL.all = 0x0000;     //B()
     GpioMuxRegs.GPBMUX.all &=~ 0xD0ff; 	//GpioB(0~7 12 14 15)ΪͨIO
     GpioMuxRegs.GPBDIR.all |= 0xD0ff;     //Ϊ
     
     
     GpioMuxRegs.GPEMUX.bit.XINT1_XBIO_GPIOE0=1;  //GPE0XINT1
     GpioMuxRegs.GPEQUAL.bit.QUALPRD = 0x07;     //e150M/128

	 GpioMuxRegs.GPFMUX.bit.SCIRXDA_GPIOF5 = 1;   //ʹܴڽ
	 GpioMuxRegs.GPFMUX.bit.SCITXDA_GPIOF4 = 1;   //ʹܴڷ
	 GpioMuxRegs.GPFDIR.bit.GPIOF5 = 0;
	 GpioMuxRegs.GPFDIR.bit.GPIOF4 = 0;
	 

     EDIS;
}	
	
//===========================================================================
// No more.
//===========================================================================
